CategoryTokenizer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.streaming.CategoryTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.streaming
Class CategoryTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
                      org.apache.lucene.facet.index.streaming.CategoryTokenizer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  EnhancementsCategoryTokenizer

    public class CategoryTokenizer

extends CategoryTokenizerBase

Basic class for setting the `CharTermAttribute`s and `PayloadAttribute`s of category tokens.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.facet.index.streaming.CategoryTokenizerBase
`categoryAttribute, indexingParams, payload, payloadAttribute, termAttribute`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`CategoryTokenizer(org.apache.lucene.analysis.TokenStream input, FacetIndexingParams indexingParams)`

Method Summary
`boolean` | `incrementToken()`
`protected void` | `setPayload()` Set the payload of the current category token.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryTokenizer

    public CategoryTokenizer(org.apache.lucene.analysis.TokenStream input,
                             FacetIndexingParams indexingParams)

See Also:
  `CategoryTokenizerBase.CategoryTokenizerBase(TokenStream, FacetIndexingParams)`

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `CategoryTokenizerBase`
  Throws:
    `IOException`

### setPayload

    protected void setPayload()

  Set the payload of the current category token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD